#pragma once
#include <map>
struct M_ActivityFishingCeleGiftLotteryData
{
	//抽奖等级
	int mID;
	//集齐次数
	int mLotteryCount;
	//集齐奖励
	std::vector<int> mrewardItem;
	//集齐奖励数量
	std::vector<int> mrewardCount;
};

class M_ActivityFishingCeleGiftLottery
{
public:
private:
	static std::auto_ptr<M_ActivityFishingCeleGiftLottery> msSingleton;
public:
	int GetCount();
	const M_ActivityFishingCeleGiftLotteryData* GetData(int ID);
	const std::map<int, M_ActivityFishingCeleGiftLotteryData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityFishingCeleGiftLottery* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityFishingCeleGiftLotteryData> mMapData;
};
